
StocksAndFisheriesKB - Feature #21995

GRSF public VRE - change behavior to access time dependant data 

Sep 13, 2021 01:43 PM - Aureliano Gentile

Status: Closed Start date: Sep 13, 2021

Priority: High Due date:  

Assignee: Luca Frosini % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

According to the agreed actions discussed here 

https://support.d4science.org/projects/stocksandfisherieskb/wiki/21-06-22-GRSF_webinar#Actions 

Please we would need to change the behavior of the public GRSF VRE https://i-marine.d4science.org/web/grsf/data-catalogue:

no time-dependent data should be publicly displayed, i.e. the sections "Stock Data" and "Fishery Data" should be removed from

the public access.

The current behavior for the section "Data and Resources" is already fine as it is. (A login is prompted when clicking on time series

files) 

Related issues:

Related to StocksAndFisheriesKB - Bug #22310: Missing Scientific Advice Resou... Closed Oct 27, 2021

Blocked by StocksAndFisheriesKB - Task #23167: Align docs and code to fix GRS... Closed Apr 12, 2022

History

#1 - Sep 23, 2021 12:33 PM - Pasquale Pagano

- Status changed from New to In Progress

- Assignee changed from Francesco Mangiacrapa to Aureliano Gentile

The Stock Data section reports metadata published in the GRSF record. We cannot manage access policies on portion of metadata. 

If you need that Stock Data as the following should not be shown, we need to republish all the records. 

Stock Data

Field   Value

Abundance Level     1.13076923076923 [Unit: BdivBmsypref - Rep. Year or Assessment Id: WGHMM-SOLEVIIIab-1982-2

013-ICESIMP2016 - Ref. Year: 2012 - Data Owner: WGHMM - DB Source: RAM]

Abundance Level     0.907692307692308 [Unit: BdivBmsypref - Rep. Year or Assessment Id: WGHMM-SOLEVIIIab-1982-

2013-ICESIMP2016 - Ref. Year: 2009 - Data Owner: WGHMM - DB Source: RAM]

 Please note that if this information will be removed from the metadata, it will disappear also for registered users. 

#2 - Oct 05, 2021 03:10 PM - Aureliano Gentile

Dear all, a kind reminder, is it possible to go ahead and remove the "Stock Data" and "Fishery Data" sections from the records of the GRSF public

VRE?

From Lino's above comment I understand it is matter of republishing. I guess it can be done now, considering that the FIRMS TWG is over and the

Steering Committee will be on the 18-21 of October, so it would be good to proceed in this week. With thanks in advance.

#3 - Oct 05, 2021 03:55 PM - Pasquale Pagano

@francesco.mangiacrapa@isti.cnr.it and @marketak@ics.forth.gr, please make a plan for the activities requested by Aureliano. If the requirement is

not clear, please comment this issue. 

#4 - Oct 05, 2021 04:02 PM - Yannis Marketakis

- Assignee changed from Aureliano Gentile to Yannis Marketakis

We will start re-publishing the public records (in GRSF public VRE) without time-dependent information right away.

I'll let you know as soon as update is completed.

#5 - Oct 06, 2021 10:55 AM - Yannis Marketakis
- File GRSF-update_error.log added

- File 71a730e8-4fbb-30a2-bef8-2c19ded17e73.json added

- % Done changed from 0 to 90

All (but one) the public records have been updated in GRSF VRE without their time-dependent resources. 

The only one for which we faced an issue is https://data.d4science.org/ctlg/GRSF/71a730e8-4fbb-30a2-bef8-2c19ded17e73, for which a HTTP 500

error occurs from https://ckan-grsf.d4science.org/api/3/action/package_update.

The detailed log, as well as the JSON representation of the record, are attached

@francesco.mangiacrapa@isti.cnr.it do you have any clue about this?

#6 - Oct 06, 2021 11:23 AM - Francesco Mangiacrapa

Hi @marketak@ics.forth.gr

thanks for your feedback.

Yannis Marketakis wrote in #note-5:

All (but one) the public records have been updated in GRSF VRE without their time-dependent resources. 

The only one for which we faced an issue is https://data.d4science.org/ctlg/GRSF/71a730e8-4fbb-30a2-bef8-2c19ded17e73, for which a HTTP

500 error occurs from https://ckan-grsf.d4science.org/api/3/action/package_update.

The detailed log, as well as the JSON representation of the record, are attached

@francesco.mangiacrapa@isti.cnr.it do you have any clue about this?

 @luca.frosini@isti.cnr.it could you check the logs? Using the JSON source attached, you can submit the update and check the logs 

#7 - Oct 07, 2021 09:42 AM - Pasquale Pagano

@marketak@ics.forth.gr, I think that there is a big mistake here. The CSV files have to be published while the time dependant data in the metadata

should not.

Checking the new status of GRSF, I saw that the resources, i.e. CSV, are not anymore published and this is wrong.

Could you check and confirm? 

#8 - Oct 07, 2021 09:49 AM - Yannis Marketakis

@pasquale.pagano@isti.cnr.it from our side we cannot do it that way.

For each record, we are providing a single JSON object (with or without time-dependent data).

The CSV are resources are constructed @ GRSF publisher side from these JSON objects

#9 - Oct 07, 2021 09:50 AM - Aureliano Gentile

I confirm there is some misunderstanding, when we made the ticket we intended: "remove from the record page the sections "Stock Data" and

"Fishery Data""

while the CSV files etc under Data and Resources can stay. And actually it is important to be visible so to show the kind and amount of data available

for each record.

While if you see this example https://data.d4science.org/ctlg/GRSF/2a636ae3-b8f8-3b6f-ac92-0abe6bfa3993 the Stock Data is still there with

information on assessment.

Thanks a lot for your patience for solving the matter.

#10 - Oct 07, 2021 09:59 AM - Yannis Marketakis

Thanks, @aureliano.gentile@fao.org for further clarifying that.

As I described we cannot distinguish information shown under Stock Data and Data and Resources, since we are providing them in a single JSON

file.

The Publisher inspects that information from the JSON file and constructs the CSV resources. So, the only way to handle this is at the publisher side. 

#11 - Oct 07, 2021 11:47 AM - Pasquale Pagano

We need to change the implementation of the service to handle it then. We are evaluating the work to do and we will let you know asap.

#12 - Oct 07, 2021 03:14 PM - Francesco Mangiacrapa

Hi @aureliano.gentile@fao.org and all,

just to be sure of the new requirement: "no time-dependent data should be publicly displayed, i.e. the sections "Stock Data" and "Fishery Data" should

be removed from the public access.".

"...from the public access", do you mean that (all the time dependant fields of) the sections "Stock Data" and "Fishery Data" should only be removed
from GRSF Catalogue (that is public)? Should they remain in the GRSF_ADMIN and GRSF_PRE Catalogue (that are private)?

#13 - Oct 07, 2021 06:19 PM - Aureliano Gentile

Yes, no changes in  GRSF_ADMIN and GRSF_PRE Catalogue VREs.

The sections "Stock Data" and "Fishery Data" should be removed from all record pages only in the public GRSF VRE.

The section "Data and Resources" stay as it was until yesterday, prompting a login in case a user clicks on a csv file, on a link, etc.

With many thanks

A.

#14 - Oct 25, 2021 01:51 PM - Aureliano Gentile

Dear @francesco.mangiacrapa@isti.cnr.it and colleagues, the FIRMS FSC12 meeting is over and the accomplishment of this ticket would be needed.

Would you please provide an update of where we stand? Do you need any further clarifications?

With thanks in advance,

Aureliano

#15 - Oct 27, 2021 10:51 AM - Yannis Marketakis

For your information, we've updated all the records in GRSF VRE with their time-dependent information attached.

#16 - Nov 03, 2021 01:36 PM - Luca Frosini

Hi @marketak@ics.forth.gr 

I have patched the service to skip publishing such data in the configured VRE.

I have also migrated the code to store the dataset in the workspace to StorageHub (the service which replaced the old HomeLibrary which is going to

be dismissed in the next months).

You can validate the new version of the service by using the GRSF service available in the pre-production infrastructure (available only for developers

only).

Here is the pre-production portal

https://pre.d4science.org/

You have been already added to the GRSF_Pre VRE (in the preproduction infrastructure) which must not be confused with the GRSF_Pre VRE

available in the production infrastructure.

https://pre.d4science.org/group/grsf_pre

The grsf-publisher-ws service to use is available at

https://smart-grsfpre.pre.d4science.org

I going to send you privately via email the token of grsf.publisher user to be used to contact the service.

#17 - Nov 04, 2021 09:08 AM - Yannis Marketakis

THanks @luca.frosini@isti.cnr.it 

I'll test it right away.

I'll keep you posted about the results.

#18 - Nov 04, 2021 09:37 AM - Yannis Marketakis

Thanks @luca.frosini@isti.cnr.it . I just tested it and I confirm that it works for most of the time-dependent types.

The only cases for which I noticed that the time-dependent data are still there (under the additional info section) are: 

Biomass (see https://data-pre.d4science.org/ctlg/GRSF_Pre/51b7e41c-f37f-3fca-8864-4d04f8d50261)

State and Trend (see https://data-pre.d4science.org/ctlg/GRSF_Pre/fb9c253b-2916-38c5-bf3a-857ec18cf1a5)

Scientific Advice (see https://data-pre.d4science.org/ctlg/GRSF_Pre/fb9c253b-2916-38c5-bf3a-857ec18cf1a5)

I guess we should hide those as well. @aureliano.gentile@fao.org could you please confirm? 

#19 - Nov 04, 2021 09:51 AM - Aureliano Gentile

yes I confirm, many thanks.

All time-dependent data should be hidden, i.e. the sections "Stock Data" and "Fishery Data" should be made available only upon registration (no

longer a self-registration but with authorization).

#20 - Nov 04, 2021 09:58 AM - Luca Frosini

- File Screenshot 2021-11-04 at 09-51-07 GRSF PRE Records Management - GRSF_Pre.png added

- File Screenshot 2021-11-04 at 09-52-41 GRSF PRE Records Management - GRSF_Pre.png added
- File Screenshot 2021-11-04 at 09-53-06 GRSF PRE Records Management - GRSF_Pre.png added

@aureliano.gentile@fao.org cannot access the VRE in the preproduction infrastructure which is for developers only. I created some screenshots so

he can check the records.

@marketak@ics.forth.gr you are right I didn't consider such fields but just the fields inside the "Stock Data" and "Fishery Data" as indicated by the

following comment:

Aureliano Gentile wrote in #note-2:

Dear all, a kind reminder, is it possible to go ahead and remove the "Stock Data" and "Fishery Data" sections from the records of the GRSF

public VRE?

 @aureliano.gentile@fao.org just let me know if I have to hide also these fields or not.

#21 - Nov 04, 2021 09:59 AM - Luca Frosini

Aureliano Gentile wrote in #note-19:

All time-dependent data should be hidden, i.e. the sections "Stock Data" and "Fishery Data" should be made available only upon registration (no

longer a self-registration but with authorization).

 This is not possible

#22 - Nov 04, 2021 10:12 AM - Aureliano Gentile

1- those fields were erroneously added out of the sections stock and fisheries data, all time-dependent data should be under those sections. And

therefore they should be hidden/removed as well.

2- the laconic answer "this is not possible" does not help much. According to today's current behavior of the GRSF VRE, the access to data is upon

user-login, so it is not clear why it should not be possible. What am I missing, what kind of additional clarifications should I provide? I stand ready for

any assistance should you require to accomplish the task.

#23 - Nov 04, 2021 10:26 AM - Pasquale Pagano

Let me clarify the overall picture. 

The VRE is moderated and the users require authorization to become a member of it. 

The catalogue is open access and it is accessible by anonymous users. Those users can access only the metadata and not the resources (files).

Removing the information from the metadata satisfies the community requirements expressed by Aureliano. 

We are going to change the configuration to include also Biomass and State and Trend that are time-dependent.

Is Scientific Advice time-dependent?

If yes, why the CSV is not published as a resource?

If not, why we should remove it?

#24 - Nov 04, 2021 12:18 PM - Aureliano Gentile

Is Scientific Advice time-dependent? => yes it is information changing across time, time-dependent

If yes, why the CSV is not published as a resource? => I do not know, maybe because it is narrative text and not data purely? But indeed also

narrative text has its own reporting year/reference year and can be included in a csv file. I concur.

Thanks a lot Lino, Gianluca and Francesco. And sorry for the complexity, but these are sensitive data and we need to progress step by step.

#25 - Nov 04, 2021 02:40 PM - Pasquale Pagano

Ok, Scientific Advice is time-dependent but it was not published as such. It is published as a string and not as a list as for example "fishing_pressure":

[{"year":2014, "value":"...", "unit": "..."}, {"year":2015, "value":"...", "unit": "..."}, ...]

@marketak@ics.forth.gr could you check it? We should decide how to deal with it. 

#26 - Nov 04, 2021 03:22 PM - Yannis Marketakis

I think we should treat scientific advice in a similar manner with state and trend, which are properly handled as resources.

Both these fields contain short narratives and attributes like value and unit does not exist for them. 

State and Trend is added as follows: 

 "state_and_trend_of_marine_resources": [

    {

      "value": "Both fishery-independent and dependent data show similar trends...",

      "reference_year": 2018
    }

  ],

 Does it make sense?

#27 - Nov 04, 2021 04:29 PM - Pasquale Pagano

Hi Yannis, @luca.frosini@isti.cnr.it changed the implementation of Scientific Advice and now it is the same type of State and Trend. You should

change the publication of this field in the json. 

As soon as we have deployed the new service in PRE, we will notify you and you will make another submission.  

#28 - Nov 05, 2021 10:44 AM - Luca Frosini

Hi @marketak@ics.forth.gr 

we have redeployed the service with the agreed changes. 

I have tested the solution using as example the following representation for scientific_advice and it seems working.

 "scientific_advice" : [ {"value": "

ICES advises on the basis of the precautionary approach that catches in 2013 should be reduced to the lowest p

ossible level and that effective technical measures should be implemented to reduce discards in the Nephrops (

TR2) fleet. [Rep. Year or Assessment ID: 2012, Data Owner: ICES, DB Source: FIRMS]", "reference_year": 2012 } 

]

 Then, I have deleted all the Records you have published yesterday

Can you please retry?

#29 - Nov 05, 2021 11:24 AM - Yannis Marketakis

Thanks @luca.frosini@isti.cnr.it and @pasquale.pagano@isti.cnr.it 

I just tested that and I confirm that it works as expected.

https://data-pre.d4science.org/ctlg/GRSF_Pre/51b7e41c-f37f-3fca-8864-4d04f8d50261

https://data-pre.d4science.org/ctlg/GRSF_Pre/fb9c253b-2916-38c5-bf3a-857ec18cf1a5

Especially as regards the update on scientific advice (the new json structure), I guess that this is something that needs to be applied in the service

deployed and used from GRSF Admin VRE as well (so that scientific advice will be handled as resources from the GRSF Admin catalogue as well).

#30 - Nov 05, 2021 05:53 PM - Pasquale Pagano

Thanks for your tests. Since everything is fine, I ask @luca.frosini@isti.cnr.it to release the service for the production. As soon as it will become

available in production, we should schedule the republication of the public GRSF that will allow us to close this issue. 

We will manage GRSF_Admin in another issue. 

#31 - Nov 06, 2021 10:12 PM - Aureliano Gentile

With many thanks, indeed the Admin VRE should have all time-dependent data under the same section. The issue was already noticed in the past but

we did not give it priority at that time.

#32 - Nov 08, 2021 10:04 AM - Yannis Marketakis

Thanks for the update and confirmation.

So, I'm waiting for the green light from @luca.frosini@isti.cnr.it  to republish records in GRSF VRE. 

#33 - Nov 09, 2021 03:17 PM - Luca Frosini

- Related to Bug #22310: Missing Scientific Advice Resource in some GRSF Records added

#34 - Nov 10, 2021 05:25 PM - Pasquale Pagano

@marketak@ics.forth.gr, everything is fine for the republication of the data in production. 

Please let us know if 

a) you need to update GRSF or we can proceed with the complete removal of all records (and files) first and then you will perform a bulk new

publication. The former will require less effort but the latter will allow us to clean useless files from the storage. We opt for the latter but feel free to

choose the one you need;

b) you need to upgrade also GRSF_Pre in production. In this case, the same question as above: update or new bulk publication. 
Thanks

#35 - Nov 12, 2021 09:58 AM - Yannis Marketakis

Thanks @pasquale.pagano@isti.cnr.it for the update. 

As regards the process, both options are perfectly fine for me. If you prefer purging everything from the VRE, I'm OK. So please go ahead and let me

know as soon as I can start the publication process. 

The same applies for GRSF PRE VRE as well

#36 - Nov 12, 2021 02:25 PM - Luca Frosini

So, if you agree I'm going to start to clean the production GRSF_Pre VRE (i.e https://blue-cloud.d4science.org/group/grsf_pre/ )

Then, if everything will be properly published we will do the same for GRSF.

As soon as, I have the green light I'll start the cleaning process.

#37 - Nov 12, 2021 02:29 PM - Yannis Marketakis

I agree. Let's proceed as you described.

#38 - Nov 12, 2021 02:46 PM - Luca Frosini

The cleaning process is running

#39 - Nov 12, 2021 02:51 PM - Aureliano Gentile

With many thanks.

#40 - Nov 12, 2021 03:00 PM - Luca Frosini

@marketak@ics.forth.gr I'll advise you as soon as the cleaning process has been completed.

In the meanwhile, we have separated the service instance serving the production GRSF_Pre VRE from the instance service GRSF and

GRSF_Admin. This allows both of us to experiment with new features and bug fixing without compromising the GRSF and GRSF_Admin functionality.

The new host to perform the requests for the production GRSF_Pre is https://smart-grsfpre.d4science.org

(Please note that is different from the host used to serve the preproduction GRSF_Pre VRE used for the development test which is 

https://smart-grsfpre.pre.d4science.org)

Instead, for GRSF and GRSF_Admin the host is still https://smart-grsf-d4s.d4science.org

Please do not hesitate to contact me if something is not clear.

#41 - Nov 12, 2021 03:12 PM - Luca Frosini

@aureliano.gentile@fao.org do we have to remove the time-series from metadata also in GRSF_Pre or just in GRSF?

#42 - Nov 12, 2021 03:39 PM - Aureliano Gentile

The requested behavior is only for the public GRSF VRE.

In "Admin" and "Pre" the data can be displayed in full (with the fix you just made, i.e scientific advice...) with no restrictions (as those VREs are

already restricted to selected users).

Thanks again

#43 - Nov 12, 2021 04:53 PM - Luca Frosini

In Admin and Pre 'Biomass', 'State and Trend' and 'Scientific Advice' must be displayed in 'Stock Data' Section and not in addition info, right?

#44 - Nov 12, 2021 05:47 PM - Aureliano Gentile

Correct, thanks.

#45 - Nov 15, 2021 04:39 PM - Luca Frosini

@marketak@ics.forth.gr you have the green light to publish in GRSF_Pre VRE.

#46 - Nov 16, 2021 08:00 AM - Yannis Marketakis

Thanks @luca.frosini@isti.cnr.it

Before starting, I noticed that there are still 2 records visible in GRSF PRE. Should I wait for them to be removed as well?

#47 - Nov 16, 2021 12:12 PM - Luca Frosini
@marketak@ics.forth.gr my fault that I was not clear.

I have cleaned the GRSF_Pre in production (which must not be confused with GRSF_Pre in preproduction which has the two records you

mentioned):

https://blue-cloud.d4science.org/group/grsf_pre/data-catalogue

To publish in such a VRE you must use the following host:

https://smart-grsfpre.d4science.org/

The user is grsf.publisher and the token is still the same you used in the past (feel free to contact me privately for the token if you are in trouble).

#48 - Nov 17, 2021 08:09 AM - Yannis Marketakis

Thanks @luca.frosini@isti.cnr.it 

You were perfectly clear on this. I've started publishing on GRSF PRE. 

#49 - Nov 17, 2021 02:29 PM - Yannis Marketakis

- File GRSF_Pre-error.png added

@luca.frosini@isti.cnr.it I've started the publication and after publishing some hundreds it started throwing some errors (basically timeout connections

errors).

Moreover, the GRSF PRE catalog reports a Server Error (Click on GRSF Pre Records Management --> Records)

#50 - Nov 17, 2021 02:53 PM - Luca Frosini

It seems that CKAN crashed because it does not support such a workload.

@francesco.mangiacrapa@isti.cnr.it has found that the following two records were present n Solr but not in the CKAN DB.

d30df0b5-a11e-3f45-a3d1-b43e47344519

d561c422-e5cb-33df-bb90-9dc05cc53930

We are going to restart CKAN and resync Solr.

@marketak@ics.forth.gr I'll advise you when you can start the publishing process again, but please slow down the rate?

#51 - Nov 17, 2021 02:58 PM - Yannis Marketakis

Thanks.

I'll inject some seconds of inactivity between the records publishing process as you suggested.

#52 - Nov 17, 2021 04:03 PM - Francesco Mangiacrapa

resync from DB to SOLR, done.

Now, the previous error has been fixed (https://i-marine.d4science.org/group/grsf_pre/data-catalogue?path=dataset)

@marketak@ics.forth.gr you can restart the publishing...

However, I just noticed a mismatching between:

1. the statistics reported in the home page https://i-marine.d4science.org/group/grsf_pre/data-catalogue (796 records);

2. the dataset published and reported in the dataset page https://i-marine.d4science.org/group/grsf_pre/data-catalogue (804 records).

Maybe, the previous crash generated the issue...  but this problem is with CKAN and not the new grsf_publisher service (that we are testing), so we

can ignore such error and try to investigate this eventually

#53 - Nov 29, 2021 09:44 AM - Yannis Marketakis

- Status changed from In Progress to Feedback

- Assignee changed from Yannis Marketakis to Aureliano Gentile

The GRSF republishing in GRSF PRE has been completed.

@aureliano.gentile@fao.org you are more than welcome to perform a check.

As soon as everything is fine, we could do the same with GRSF Admin and GRSF VREs (we'll document that in separate issue as suggested by CNR

team)

#54 - Nov 30, 2021 12:25 PM - Aureliano Gentile

Dear CNR and FORTH colleagues, thanks, I checked (in a call with Yannis) and we spotted the following in this example 

https://data.d4science.org/ctlg/GRSF_Pre/69c20914-4411-3819-a5b7-f3500766833c :
BOX Data and Resources: all time dependent data seem properly displayed

BOX Additional Info : the content "Biomass" should not be displayed here rather under the box "Stock Data", similarly to any other time

dependent data. The box Additional Info should contain only those metadata related to the record identity (i.e. citation, domain, url, QR, flags,

polygons, status etc.)

Thanks in advance for taking action accordingly. (We are almost there, it seems)

#55 - Nov 30, 2021 01:07 PM - Pasquale Pagano

- Assignee changed from Aureliano Gentile to Francesco Mangiacrapa

Please @francesco.mangiacrapa@isti.cnr.it and @luca.frosini@isti.cnr.it change the configuration of the record to move Biomass in the Box Data and

Resources. Thanks. 

#56 - Dec 07, 2021 05:22 PM - Aureliano Gentile

Dear all, please, I have been asked where we stand with this ticket regarding applying the new behavior in the public GRSF VRE (i.e. this ticket). Your

kind actions to finalize the work would be appreciated.

With thanks

Aureliano

#57 - Dec 14, 2021 12:20 PM - Luca Frosini

@aureliano.gentile@fao.org apart Biomass which has to be moved in the 'Stock Data' "box", are there any other fields to move in another "box"? Can

you please enumerate them?

Are there any other fields that have to be hidden for not logged people? Can you please enumerate them?

#58 - Dec 14, 2021 12:22 PM - Luca Frosini

Please note that GRSF_Pre is a test for the data which will be visible in GRSF VRE so need to fix it all before updating GRSF.

#59 - Dec 14, 2021 12:49 PM - Aureliano Gentile

- File Screenshot from 2021-12-14 12-48-36.png added

(So we are back to the initial request of this ticket) ;-)

Please find hereafter the list of time-dependent data which should be within the box "DATA and RESOURCES" and the box "STOCK DATA".

Abundance Level

Abundance Level (FIRMS Standard)

Catches

FAO Categories

Fishing Pressure

Fishing Pressure (FIRMS Standard)

Landings

Biomass

Scientific advice

State and Trend

In this example in GRSF PRE https://data.d4science.org/ctlg/GRSF_Pre/51b7e41c-f37f-3fca-8864-4d04f8d50261 the Biomass is still wrongly in the

box "Additional Info".

Hope it helps and thanks again.

#60 - Dec 14, 2021 02:40 PM - Luca Frosini

Sorry @marketak@ics.forth.gr if I use the Italian in the following, but I want to be clear with @aureliano.gentile@fao.org 

Aureliano Gentile wrote in #note-59:

(So we are back to the initial request of this ticket) ;-)

 Sinceramente questa parte del commento potevi risparmiartela.

Visto che siamo al 59-imo commento evidentemente le cose non sono chiare.

In più, nonostante te lo chieda esplicitamente non solo rispondi così ma continui a fornirmi informazioni parziali e frammentate.

I campi che mi indichi sotto sono riferiti a Stock e non ci vedo non vedo "Data owner" (che era stato fatto sparire in dev).

Se adesso mappo questi campi senza "Data owner" ci troviamo "back to the initial request of this ticket".

Riguardo a Fishery? Io in dev ho fatto sparire solamente: Data owner, Catches e Landings. C'è altro?

Please find hereafter the list of time-dependent data which should be within the box "DATA and RESOURCES" and the box "STOCK DATA".
Abundance Level

Abundance Level (FIRMS Standard)

Catches

FAO Categories

Fishing Pressure

Fishing Pressure (FIRMS Standard)

Landings

Biomass

Scientific advice

State and Trend

In this example in GRSF PRE https://data.d4science.org/ctlg/GRSF_Pre/51b7e41c-f37f-3fca-8864-4d04f8d50261 the Biomass is still wrongly in

the box "Additional Info".

Hope it helps and thanks again.

 Siccome non ha aiutato ed io sono duro di comprendonio, me li rielenchi tutti a modo divisi per tipo?

Grazie

PS: sono Luca non Gianluca

#61 - Dec 14, 2021 02:40 PM - Luca Frosini

- Assignee changed from Francesco Mangiacrapa to Aureliano Gentile

#62 - Dec 15, 2021 12:02 PM - Aureliano Gentile

Dear Luca,

I am very sorry for the misunderstanding of the requirements and the misinterpretation of my words.

I think one of the issues is the misaligned language between the developers and the information managers.

Considering the whole thread, I would suggest having a call on Skype or equivalent with you and the colleagues to clarify all aspects, as well as to

rebuild some mutual trust.

Looking forward to hearing from you

Aureliano

#63 - Apr 12, 2022 01:44 PM - Luca Frosini

- Blocked by Task #23167: Align docs and code to fix GRSF issues added

#67 - May 25, 2022 11:33 AM - Luca Frosini

- Status changed from Feedback to Closed

- Assignee changed from Aureliano Gentile to Luca Frosini

- % Done changed from 90 to 100

Files

GRSF-update_error.log 1.49 KB Oct 06, 2021 Yannis Marketakis

71a730e8-4fbb-30a2-bef8-2c19ded17e73.json 2.71 KB Oct 06, 2021 Yannis Marketakis

Screenshot 2021-11-04 at 09-51-07 GRSF PRE Records Management - GRSF_Pre.png774 KB Nov 04, 2021 Luca Frosini

Screenshot 2021-11-04 at 09-52-41 GRSF PRE Records Management - GRSF_Pre.png753 KB Nov 04, 2021 Luca Frosini

Screenshot 2021-11-04 at 09-53-06 GRSF PRE Records Management - GRSF_Pre.png752 KB Nov 04, 2021 Luca Frosini

GRSF_Pre-error.png 26.8 KB Nov 17, 2021 Yannis Marketakis

Screenshot from 2021-12-14 12-48-36.png 13.9 KB Dec 14, 2021 Aureliano Gentile
